# Contribution Guidelines

Please ensure your pull request adheres to the following guidelines:

- Search previous suggestions before making a new one, as yours may be a duplicate.
- If you just created something, wait at least a couple of weeks before submitting.
- Make an individual pull request for each suggestion.
- Use the following format: `[resource name](link) - Description.`
- New categories, or improvements to the existing categorization are welcome.
- Keep descriptions short and simple, but descriptive.
- Don't mention `IPFS` in the description as it's implied.
- Start the description with a capital and end with a full stop/period.
- Check your spelling and grammar.
- Make sure your text editor is set to remove trailing whitespace.
- The pull request should have a useful title and include a link to the package and why it should be included.
- If you are submitting an article, include the date before, and sort if in the list by date. Example: `* YYYY-MM-dd: [<title≥](link) (<outlet>)`.
- Submit products when they are useable, or at a state which has something to show which is awesome in itself. This cuts down on half-finished implementations.

Thank you for your suggestions!
